Subject: bug#10480: closed (Bug #10463 fixed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Jan 2012 22:46:02 +0000

Your bug report

#10463: 24.0.92; cc-mode breakage due to "Large brace-block initialisation makes CC Mode slow: Fix"

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10463: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10463
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Bug #10463 fixed
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Wed, 11 Jan 2012 22:38:15 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Bug fixed in revision 106849.

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 24.0.92; cc-mode breakage due to "Large brace-block initialisation makes CC Mode slow: Fix"
From: Alex <[email-masked]>
To: [email-masked]
Date: Wed, 11 Jan 2012 16:37:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm currently tracking the Emacs BZR/GIT repo for the current bleeding
edge code. It seems it broke over Christmas. While editing C code I was
constantly hit with back traces like the following:

Debugger entered--Lisp error: (args-out-of-range 10389 15607)
  parse-partial-sexp(10389 15607)
  c-literal-limits(nil nil t)
  c-indent-new-comment-line(t)
  default-indent-new-line(t)
  do-auto-fill()
  apply(do-auto-fill nil)
  c-mask-paragraph(nil t do-auto-fill)
  c-do-auto-fill()
  self-insert-command(1)
  newline()
  newline-and-indent()
  call-interactively(newline-and-indent nil nil)

This often left emacs unusable, sometime wiping the current editing
buffer. Bisecting through the code tree I found it was the Large
brace-block fix that causes the regression. I'm afraid I can't provide
the code it broke on but was occurring all over the place so I don't
think it was anything special.

Regards,

Alex